Skip to main content
Nowledge MemNowledge Mem

Expand Neighbors

GET
/graph/expand/{node_id}

Expand neighbors of a specific node to get connected nodes and edges with depth-based traversal.

Path Parameters

node_id*Node Id

Query Parameters

depth?Depth

Expansion depth

Range1 <= value <= 5
Default1
limit?Limit

Maximum neighbors to return

Range1 <= value <= 100
Default50
include_metadata?Include Metadata

Include metadata in results

Defaulttrue
space_id?|

Optional memory space lens for the graph

Response Body

application/json

application/json

curl -X GET "https://example.com/graph/expand/string"
{  "center_node": "string",  "depth": 0,  "neighbors": [    null  ],  "edges": [    null  ],  "total_neighbors": 0,  "total_edges": 0,  "metadata": {    "expansion_depth": 0,    "max_limit": 0,    "include_metadata": true,    "query_type": "string",    "error": "string"  }}